package com.sun.org.glassfish.external.probe.provider.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;

@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.TYPE })
public @interface ProbeProvider {
    public abstract String providerName() default "";
    
    public abstract String moduleProviderName() default "";
    
    public abstract String moduleName() default "";
    
    public abstract String probeProviderName() default "";
}
